Subject: Re: What's cooking in git.git (Nov 2021, #07; Mon, 29)

From: Junio C Hamano <[email-masked]>
Date: Sun, 05 Dec 2021 22:28:46 -0800

Aleen 徐沛文 <[email-masked]> writes:

> Dears Hamano,
>
>     In my opinion, the '--empty' should act as a strategy option like the
>     'X' option to 'git-rebase'. Since that the default behaviour of not passing
>     the option is stopped in the middle of an am session, should the 'die' value
>     dies the whole process but not the middle state? It may also make it not
>     confusing.

Hmph, unlike "git rebase" or "git merge", "git am" does not employ
different strategy backends, so "-X<option>" would be out of place,
I would think.

Among what we already have, what kills the entire session is called
"git am --abort".  Since I do not find it unnatural to say "'git am'
dies" when it stops and gives control back to the user, so that the
user can decide what to do next, I am not sure where the aversion to
the word comes from (on the other hand, I find 'ask' highly
unnatural since we do not ask anything---we just throw the control
back the user).